# $Revision: 1.60 $, $Date: 2005/12/30 09:51:05 $
Summary:	Mathomatic - a symbolic math program
Summary(pl):	Mathomatic - program do matematyki symbolicznej
Name:		mathomatic
Version:	12.5.5
Release:	1
License:	LGPL
Group:		Applications/Math
Source0:	http://www.panix.com/~gesslein/%{name}-%{version}.tar.bz2
# Source0-md5:	ce9af15b51aebca4bab79bf3bb5194d4
URL:		http://www.mathomatic.com/
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mathomatic is a symbolic math program that can automatically solve,
simplify, differentiate, combine, and compare algebraic equations,
perform polynomial and complex arithmetic, etc. The C source code is
available for a UNIX/Linux freeware version. It was written by George
Gesslein II and has been under development since 1986.

%description -l pl
Mathomatic jest pakietem do oblicze w matematyce symbolicznej, ktry
moe automatycznie rozwizywa, upraszcza, rnicowa, kombinowa
i porwnywa rwnania algebraiczne. Kod w C jest dostpny darmowo dla
rodowisk UNIX/Linux. Zosta napisany przez George Gesslein II i jest
rozwijany od roku 1986.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DREADLINE -DVERSION=\\"\"%{version}\\"\"" \
	LDFLAGS="%{rpmldflags} -lreadline"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt doc/*.html
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mathomatic.spec,v $
Revision 1.60  2005/12/30 09:51:05  adamg
- updated to 12.5.5

Revision 1.59  2005/11/09 13:43:19  undefine
- up to 12.5.1

Revision 1.58  2005/10/22 13:52:22  speedo
- updated to 12.5.0

Revision 1.57  2005/10/09 08:40:36  paszczus
- updated to 12.4.12

Revision 1.56  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.55  2005/08/30 18:08:59  paszczus
- updated to 12.4.10

Revision 1.54  2005/07/30 07:19:06  paszczus
- updated to 12.4.6

Revision 1.53  2005/07/19 20:47:25  paszczus
- updated to 12.4.5

Revision 1.52  2005/06/13 10:52:09  undefine
- up to 12.4.2

Revision 1.51  2005/05/30 12:38:23  paszczus
- updated to 12.4.0

Revision 1.50  2005/05/24 15:30:07  paszczus
- updated to 12.3.3

Revision 1.49  2005/05/14 17:37:45  paszczus
- updated to 12.3.2

Revision 1.48  2005/05/09 09:16:28  paszczus
- updated to 12.3.1

Revision 1.47  2005/04/27 13:37:22  paszczus
- updated to 12.3

Revision 1.46  2005/04/20 06:20:30  paszczus
- updated to 12.2e

Revision 1.45  2005/04/06 19:31:29  paszczus
- updated to 12.2c

Revision 1.44  2005/03/28 07:20:59  paszczus
- updated to 12.2b

Revision 1.43  2005/03/11 18:29:05  paszczus
- updated to 12.1e

Revision 1.42  2005/03/04 23:01:10  paszczus
- updated to 12.1d

Revision 1.41  2005/02/27 10:32:32  paszczus
- updated to 12.1c

Revision 1.40  2005/02/19 11:58:36  paszczus
- updated to 12.1b

Revision 1.39  2005/02/14 22:05:28  paszczus
- updated to 12.1

Revision 1.38  2005/02/07 17:25:39  paszczus
- updated to 12.0

Revision 1.37  2005/01/27 23:16:49  paszczus
- updated to 11.7

Revision 1.36  2005/01/23 08:46:04  paszczus
- updated to 11.6e

Revision 1.35  2005/01/13 19:38:56  paszczus
- updated to 11.6d

Revision 1.34  2005/01/06 09:25:47  paszczus
- updated to 11.6c

Revision 1.33  2005/01/01 11:14:46  paszczus
- updated to 11.6b

Revision 1.32  2004/12/23 12:15:51  paszczus
- updated to 11.6

Revision 1.31  2004/12/12 22:12:16  undefine
- up to 11.5d

Revision 1.30  2004/11/29 10:35:44  paszczus
- updated to 11.5c

Revision 1.29  2004/11/23 14:31:51  paszczus
- updated to 11.5b

Revision 1.28  2004/11/10 20:19:30  paladine
- updated to 11.5

Revision 1.27  2004/10/29 19:10:06  undefine
- update to 11.4d

Revision 1.26  2004/10/11 08:40:19  paladine
- updated to 11.4b

Revision 1.25  2004/10/03 14:51:47  paladine
- updated to 11.4

Revision 1.24  2004/09/22 20:31:52  paszczus
- updated to 11.3f

Revision 1.23  2004/09/16 15:27:08  paszczus
- updated to 11.3e

Revision 1.22  2004/09/02 10:25:18  snurf
- typos / formatting / etc.

Revision 1.21  2004/08/11 11:04:21  undefine
- update to 11.3c

Revision 1.20  2004/08/01 00:28:55  undefine
- update to 11.3b

Revision 1.19  2004/06/28 16:09:16  undefine
- release 2 for AC

Revision 1.18  2004/06/28 15:58:31  undefine
- update to 11.2d, release 1 for RA

Revision 1.17  2004/06/24 20:11:04  undefine
- update to 11.2c

Revision 1.16  2004/05/30 18:00:40  qboosh
- allow spaces in __cc

Revision 1.15  2004/05/30 14:16:53  undefine
- update to 11.1d, release 2 for AC

Revision 1.14  2004/05/13 14:56:45  undefine
- release 2 for AC

Revision 1.13  2004/05/13 14:55:13  undefine
- upgrade to 11.1

Revision 1.12  2004/03/28 23:12:03  undefine
- release 2 for AC

Revision 1.11  2004/03/28 23:09:55  undefine
- update to 10.9c

Revision 1.10  2004/02/29 18:55:21  undefine
- update to 10.8e, add optflags -O0 (yes, stupid...)

Revision 1.9  2004/02/13 21:47:10  undefine
- update to 10.8c. release 0.1, waing for qboosh ;) (warning after compiling
  with -O1 or higher optimalization)

Revision 1.8  2004/01/10 12:23:37  undefine
- update to 10.8

Revision 1.7  2003/12/01 01:46:29  undefine
- update to 10.7b

Revision 1.6  2003/09/05 17:01:20  undefine
- update to 10.5

Revision 1.5  2003/08/18 16:35:06  blues
- cleanup

Revision 1.4  2003/08/14 14:10:54  qboosh
- cleanups once more

Revision 1.3  2003/08/14 13:50:33  undefine
- renamed ac to amc to avoid conflict with psacct, release 2

Revision 1.2  2003/08/14 13:45:09  qboosh
- cleanups

Revision 1.1  2003/08/14 13:31:07  undefine
- initial pld version, stbr ra-updates-general
